<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Get Content View REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75271/get-content-view-rest-endpoint</link><description>&lt;p&gt;&lt;span&gt;Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.&lt;/span&gt;&lt;/p&gt;</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Get Content View REST Endpoint</title><link>https://community.telligent.com/community/13/w/api-documentation/75271/get-content-view-rest-endpoint</link><pubDate>Fri, 08 Mar 2024 17:45:17 GMT</pubDate><guid isPermaLink="false">4041c444-f1eb-41ed-ad1b-07011257f9da</guid><dc:creator>Ben Tiedt</dc:creator><comments>https://community.telligent.com/community/13/w/api-documentation/75271/get-content-view-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Ben Tiedt on 03/08/2024 17:45:17&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;GET api.ashx/v2/contentviews.{json|xml}&lt;/h2&gt;&lt;p&gt;Get a content viewed item.&lt;/p&gt;&lt;div class="documentation-section scopes"&gt;&lt;h3&gt;Scopes&lt;/h3&gt;&lt;div class="value"&gt;&lt;p&gt;Content › Read Views&amp;nbsp;&lt;code style="padding:5px;background-color:rgba(34, 34, 34, 0.1);border-radius:3px;"&gt;content.views.readonly&lt;/code&gt;&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;ContentId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Content id of the content.&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;ContentTypeId&lt;/td&gt;  &lt;td&gt;Guid&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Content type id of the content.&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;PostTarget&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;Render target. Options: Unknown, Web, Syndication, Offline, Other, Print, Nntp, Email, WebQuote, WebServices.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;ViewTypeId&lt;/td&gt;  &lt;td&gt;Guid?&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;   &lt;td&gt;The view type id of the content view.  As of 12.1 the default value is &amp;#39;00000000-0000-0000-0000-000000000000&amp;#39;.  If passing in a legacy value, the response will contain a ViewTypeId value of &amp;#39;00000000-0000-0000-0000-000000000000&amp;#39;.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.get({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/contentviews.json?ContentId=49fec544-6df7-4a82-872b-f8be586d5e9e&amp;amp;ContentTypeId=49fec544-6df7-4a82-872b-f8be586d5e9e&amp;#39;,
	data: { 
		&amp;#39;ContentId&amp;#39;: &amp;#39;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;#39;,
		&amp;#39;ContentTypeId&amp;#39;: &amp;#39;49fec544-6df7-4a82-872b-f8be586d5e9e&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;div class="documentation-section returns"&gt;&lt;h3&gt;Example Responses&lt;/h3&gt;&lt;h4&gt;JSON&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;{
  &amp;quot;ContentViewedItem&amp;quot;: null,
  &amp;quot;Info&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Warnings&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;Errors&amp;quot;: [
    &amp;quot;string&amp;quot;,
    &amp;quot;string&amp;quot;
  ]
}&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>